Subject: Re: bug#46539: Assertion (start >= 0) at cs/geom.c:157 in function ped_geometry_set() failed.

From: "Brian C. Lane" <[email-masked]>
Date: Tue, 16 Feb 2021 08:34:15 -0800

On Mon, Feb 15, 2021 at 09:35:25PM +0100, Samuel Phan wrote:
> I managed to fix the issue by using "fdisk" and delete all corrupted
> partitions from number 20 to 64.
> 
> After that, Parted and GParted worked again:
> 
> $ sudo parted /dev/sdb
> GNU Parted 3.3
> Using /dev/sdb
> Welcome to GNU Parted! Type 'help' to view a list of commands.
> (parted) p
> Model: ATA KINGSTON SA400S3 (scsi)
> Disk /dev/sdb: 240GB
> Sector size (logical/physical): 512B/512B
> Partition Table: gpt
> Disk Flags:
> 
> Number  Start   End     Size    File system  Name
>  Flags
>  1      1049kB  17,8MB  16,8MB               Microsoft reserved partition
>  msftres
>  2      17,8MB  240GB   240GB   ntfs         Basic data partition
>  msftdata
>  3      240GB   240GB   533MB   ntfs
> hidden, diag
> -----
> 
> And so does "gdisk":
> 
> $ sudo gdisk /dev/sdb
> GPT fdisk (gdisk) version 1.0.5
> 
> Partition table scan:
>   MBR: protective
>   BSD: not present
>   APM: not present
>   GPT: present
> 
> Found valid GPT with protective MBR; using GPT.
> 
> Command (? for help):
> -----

I'm glad you got it working again, hopefully you didn't lose any data.
It looks like things were pretty corrupt, which is why parted crashed
(basically to protect it from making things worse). But I wonder if it
could have been fixed by restoring the backup partition table from the
primary.

If this happens again (hope not!) make a copy of the first and last 1M
of the disk and email it to me so I can poke at it.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart